
#import <UIKit/UIKit.h>
#import <QuartzCore/QuartzCore.h>


#define PEN_DEF_SIZE		28

//タイプ
typedef enum {
	
	ContentTypePen,			//ペン
	ContentTypeSelect,		//選択
	
} ContentType;



@interface DrawContentView : UIView {

	NSMutableArray*			makerArray;			//全ラインを保存する配列
	NSMutableArray*			currentMakerPts;	//現在描画中のライン
	int						buffBytes;
	
	CGContextRef			drawContext;
	CGContextRef			hitTestContext;
	
	CGPoint					startPt;
	UIView*					makerView;
    
	ContentType				contentType;
    
	float                   penSize;
    float                   penColR;
    float                   penColG;
    float                   penColB;
    float                   penColA;

	int						hitDownIndex;
}
@property	(nonatomic, assign)		ContentType		contentType;

-(void)setLineSize:(CGFloat)line;
-(void)setLineColorRed:(CGFloat)red Green:(CGFloat)green Blue:(CGFloat)blue Alpha:(CGFloat)alpha;
-(void)restoreMarker;
-(void)makeHitTestBuff;
-(int)hitTestX:(int)x Y:(int)y;
-(void)clearHitTestBuff;
-(void)clear;

@end



